> You are reading the Docusign Developer Documentation. For clean Markdown of any page, append .md to the page URL.
>
> Documentation indexes by section:
> - APIs and SDKs: https://docusign.docs.buildwithfern.com/docs/llms.txt
> - Platform 101: https://docusign.docs.buildwithfern.com/platform/llms.txt
> - Extension Apps: https://docusign.docs.buildwithfern.com/extension-apps/llms.txt
> - Docusign CLI: https://docusign.docs.buildwithfern.com/docusign-cli/llms.txt
>
> Authentication (OAuth, JWT Grant, M2M): https://docusign.docs.buildwithfern.com/platform/auth
> Webhooks and Connect: https://docusign.docs.buildwithfern.com/platform/webhooks
>
> OpenAPI specifications: https://docusign.docs.buildwithfern.com/openapi.json
> MCP server: https://docusign.docs.buildwithfern.com/_mcp/server

# List bulk actions

GET https://notary-d.docusign.net/restapi/v1.0/organizations/{organizationId}/bulk_action

This method returns a list of completed and pending bulk actions.

[Required authentication scopes](/platform/auth/reference/scopes/): `notary_read`, `signature`, `organization_read`.

Reference: https://developers.docusign.com/docs/notary-api/reference/organizations/bulkaction/getbulkactions

## Authentication

- `Authorization` header (bearer token, required) — JWT Bearer token from DocuSign authorization server

## Servers

- `https://notary-d.docusign.net/restapi` (Demo, default)
- `https://na-notary.docusign.net/restapi` (Production)

## Request

### Path parameters

- `organizationId` (string, required) — The organization's GUID.

### Query parameters

- `startPosition` (integer, optional, default: 0) — The position within the total result set from which to start returning values. Default: 0.
- `count` (integer, optional, default: 100) — The maximum number of results to return. Default: 100.

## Response

### 200

Successful response

- `resultSetSize` (integer, optional) — The number of results in this response. Because you can filter which entries are included in the response, this value is always less than or equal to the value of `totalSetSize`.
- `startPosition` (integer, optional) — The position within the total result set from which to start returning values. Default: 0.
- `endPosition` (integer, optional) — The last index position in the result set.
- `nextUri` (string, optional, nullable) — The URI for the next chunk of records based on the search request. It is `null` if this is the last set of results for the search.
- `priorUri` (string, optional, nullable) — The URI for the prior chunk of records based on the search request. It is `null` if this is the first set of results for the search.
- `totalSetSize` (integer, optional) — The total number of items in the result set. This value is always greater than or equal to the value of `resultSetSize`.
- `bulkActions` (list of BulkActionSummary, optional, nullable) — An array of bulk action summaries.

## Errors

### 400 Bad Request Error

Bad request.

- `error` (string, optional, nullable) — The code associated with the error condition.
- `errorDescription` (string, optional, nullable) — A description of the error condition.

### 401 Unauthorized Error

Authorization information is missing or invalid.

- `error` (string, optional, nullable) — The code associated with the error condition.
- `errorDescription` (string, optional, nullable) — A description of the error condition.

### 403 Forbidden Error

The connecting user is not permitted to access this endpoint.

- `error` (string, optional, nullable) — The code associated with the error condition.
- `errorDescription` (string, optional, nullable) — A description of the error condition.

## Types

### BulkActionSummary

Describes an action applied to multiple items.

- `bulkActionId` (string, optional) — The ID of the bulk action.
- `bulkActionType` (string, optional, nullable) — The type of the bulk action.
- `createdById` (string, optional) — The ID of the user who created the bulk action.
- `createdByName` (string, optional, nullable) — The name of the user who created the bulk action.
- `createdByEmail` (string, optional, nullable) — The email address of the user who created the bulk action.
- `createdDate` (datetime, optional) — The date on which the action was created.
- `lastUpdatedDate` (datetime, optional) — The date on which the action was last updated.
- `status` (string, optional, nullable) — The status of the action. Possible values are: - `queued` - `in_process` - `completed` - `processed_with_errors`
- `totalItemsCount` (integer, optional) — Total number of items affected by the bulk action
- `processedItemsCount` (integer, optional) — Total number of items processed by the bulk action
- `addedItemCount` (integer, optional) — Total number of items added by the bulk action
- `updatedItemCount` (integer, optional) — Total number of existing items changed by the bulk action
- `removedItemCount` (integer, optional) — Total number of existing items removed by the bulk action
- `noActionRequiredItemCount` (integer, optional) — Total number of items unaffected by the bulk action
- `errorCount` (integer, optional) — Total number of errors encountered during the bulk action
- `warningCount` (integer, optional) — Total number of warnings encountered during the bulk action
- `errorRollup` (list of BulkActionErrorRollup, optional, nullable) — List of the errors encountered during the execution of the bulk action
- `hasCsvResults` (boolean, optional) — True if the bulk action has results available in Comma-Separated Value (CSV) format
- `csvResultsUrl` (string, optional, nullable) — URL of the results in CSV format.

### BulkActionErrorRollup

Describes an error affecting one or more items in the bulk action.

- `error` (string, optional, nullable) — Error code.
- `count` (integer, optional) — Number of items in the bulk action affected by this error.
- `affectedItems` (list of string, optional, nullable) — The items which were affected by the error

## Examples

**Response**

```json
{
  "resultSetSize": 1,
  "startPosition": 1,
  "endPosition": 1,
  "nextUri": "string",
  "priorUri": "string",
  "totalSetSize": 1,
  "bulkActions": [
    {
      "bulkActionId": "string",
      "bulkActionType": "string",
      "createdById": "string",
      "createdByName": "string",
      "createdByEmail": "string",
      "createdDate": "2024-01-15T09:30:00Z",
      "lastUpdatedDate": "2024-01-15T09:30:00Z",
      "status": "string",
      "totalItemsCount": 1,
      "processedItemsCount": 1,
      "addedItemCount": 1,
      "updatedItemCount": 1,
      "removedItemCount": 1,
      "noActionRequiredItemCount": 1,
      "errorCount": 1,
      "warningCount": 1,
      "errorRollup": [
        {
          "error": "string",
          "count": 1,
          "affectedItems": [
            "string"
          ]
        }
      ],
      "hasCsvResults": true,
      "csvResultsUrl": "string"
    }
  ]
}
```